Get AppSession by ID
Get a single AppSession by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
app_session_id
ID of the AppSession.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
app
The Benchling App installation that owns this session.
createdAt
id
messages
The messages currently displayed to the user, from the most recent session version.
modifiedAt
name
status
The current lifecycle status of this session, derived from the most recent version.
Allowed values:
timeoutSeconds
Maximum duration in seconds before the session times out automatically. Once the session's
age exceeds this value and the session has not been finalized, its status becomes TIMEOUT.
Errors
400
App Session Get Request Bad Request Error
403
App Session Get Request Forbidden Error
404
App Session Get Request Not Found Error
429
App Session Get Request Too Many Requests Error
500
App Session Get Request Internal Server Error